Bug 24098 - Standardize Fines/Fees & Charges
Summary: Standardize Fines/Fees & Charges
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Katrin Fischer
QA Contact: Marcel de Rooy
URL:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2019-11-24 13:12 UTC by Katrin Fischer
Modified: 2020-05-12 10:52 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Who signed the patch off:
Text to go in the release notes:
This patch implements a terminology change - using 'charges' instead of 'fines' or 'fees' (this is also the same terminology used in the OPAC).
Version(s) released in:
20.05.00


Attachments
Bug 24098: Standardize Fines/Fees & Charges (4.71 KB, patch)
2020-04-13 00:29 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 24098: Standardize Fines/Fees & Charges (4.80 KB, patch)
2020-05-07 13:26 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 24098: Standardize Fines/Fees & Charges (4.89 KB, patch)
2020-05-08 09:00 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2019-11-24 13:12:50 UTC
We have quite some templates where "Fees & Charges" appears. It should be "Fees & charges" instead.
Comment 1 Katrin Fischer 2020-04-13 00:29:15 UTC
Created attachment 102788 [details] [review]
Bug 24098: Standardize Fines/Fees & Charges

This patch suggests to adopt the terminology used in the OPAC
to only use charges and leave off the Fines or Fees.

To test:
- Add a charge to your account
- Check the note on the details and checkouts tabs
- Check the tab name on the details tab
- Activate batch checkouts via systempreferences for your
  patron category:
  - BatchCheckouts
  - BatchCheckoutsValidCategories
- Add a guarantee to your patron and allow to see fines
  (requires: AllowStaffToSetFinesVisibilityForGuarantor)
- Add a manual fine for the guaranee above NoIssuesChargeGuarantee
- Go to the batch checkout tab of your patron and verify note there
Comment 2 David Nind 2020-04-21 00:53:43 UTC
Hi Katrin.

A couple of other places text may need changing, or can be a separate bug:

- Most of the messages changed also have 'fine balance' after, as part of the same message. Perhaps change to 'Checkouts are BLOCKED because their balance is OVER THE LIMIT.'

- Where there are are no charges due on the accounting page, the message under the make a payment tab says '..has no outstanding fines.'. Change to '..has no outstanding charges.'. (Accounting > Make a payment tab)

David
Comment 3 Owen Leonard 2020-05-07 13:26:13 UTC
Created attachment 104513 [details] [review]
Bug 24098: Standardize Fines/Fees & Charges

This patch suggests to adopt the terminology used in the OPAC
to only use charges and leave off the Fines or Fees.

To test:
- Add a charge to your account
- Check the note on the details and checkouts tabs
- Check the tab name on the details tab
- Activate batch checkouts via systempreferences for your
  patron category:
  - BatchCheckouts
  - BatchCheckoutsValidCategories
- Add a guarantee to your patron and allow to see fines
  (requires: AllowStaffToSetFinesVisibilityForGuarantor)
- Add a manual fine for the guaranee above NoIssuesChargeGuarantee
- Go to the batch checkout tab of your patron and verify note there

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 4 Katrin Fischer 2020-05-08 06:23:37 UTC
(In reply to David Nind from comment #2)
> Hi Katrin.
> 
> A couple of other places text may need changing, or can be a separate bug:
> 
> - Most of the messages changed also have 'fine balance' after, as part of
> the same message. Perhaps change to 'Checkouts are BLOCKED because their
> balance is OVER THE LIMIT.'
> 
> - Where there are are no charges due on the accounting page, the message
> under the make a payment tab says '..has no outstanding fines.'. Change to
> '..has no outstanding charges.'. (Accounting > Make a payment tab)
> 
> David

Hi David, I think I might be dealing with these on a separate bug, if it's ok. I wonder if 'balance' will be understood without the fines part. Is there another phrasing we could think of?
Comment 5 David Nind 2020-05-08 07:47:33 UTC
(In reply to Katrin Fischer from comment #4)
> Hi David, I think I might be dealing with these on a separate bug, if it's
> ok. I wonder if 'balance' will be understood without the fines part. Is
> there another phrasing we could think of?

Another bug sounds fine to me!

An alternative could be account balance or charges, rather than just balance.

'Checkouts are BLOCKED because fine balance is OVER THE LIMIT.'
==> 'Checkouts are BLOCKED because the account balance is OVER THE LIMIT.'
or
==> 'Checkouts are BLOCKED because charges are OVER THE LIMIT.'

.."has no outstanding fines.'
==> ..'has no outstanding account balance.'
or
==> ..'has no outstanding charges.'
(better I think, as the tab heading is now 'Charges'.
Comment 6 Marcel de Rooy 2020-05-08 09:00:29 UTC
Created attachment 104560 [details] [review]
Bug 24098: Standardize Fines/Fees & Charges

This patch suggests to adopt the terminology used in the OPAC
to only use charges and leave off the Fines or Fees.

To test:
- Add a charge to your account
- Check the note on the details and checkouts tabs
- Check the tab name on the details tab
- Activate batch checkouts via systempreferences for your
  patron category:
  - BatchCheckouts
  - BatchCheckoutsValidCategories
- Add a guarantee to your patron and allow to see fines
  (requires: AllowStaffToSetFinesVisibilityForGuarantor)
- Add a manual fine for the guaranee above NoIssuesChargeGuarantee
- Go to the batch checkout tab of your patron and verify note there

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 7 Martin Renvoize 2020-05-11 09:01:05 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 8 Joy Nelson 2020-05-11 22:32:30 UTC
not backported to 19.11.x